Vulnerability CVE-2018-6184


Published: 2018-01-24

Description:
ZEIT Next.js 4 before 4.2.3 has Directory Traversal under the /_next request namespace.

Type:

CWE-22

(Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal'))

Vendor: ZEIT
Product: Next.js 
Version:
4.2.2
4.2.1
4.2.0
4.1.4
4.1.3
4.1.2
4.1.1
4.1.0
4.0.5
4.0.4
4.0.3
4.0.2
4.0.1
4.0.0

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None

 References:
https://github.com/zeit/next.js/releases/tag/4.2.3

Related CVE
CVE-2018-18282
Next.js 7.0.0 and 7.0.1 has XSS via the 404 or 500 /_error page.
CVE-2018-3712
serve node module before 6.4.9 suffers from a Path Traversal vulnerability due to not handling %2e (.) and %2f (/) and allowing them in paths, which allows a malicious user to view the contents of any directory with known path.
CVE-2018-3809
Information exposure through directory listings in serve 6.5.3 allows directory listing and file access even when they have been set to be ignored.

Copyright 2019, cxsecurity.com

 

Back to Top